/**
 * 
 */
/**
 * @author dasheng
 *
 */
package com.tzy.framework.pay.Entity;

import java.text.SimpleDateFormat;
import java.util.Date;

public class PostMasterEntity{	
	String merId;
	String terId;
	String method;
	String charset;
	String version;
	String format;
	String timestamp;
	String signType;
	String signSn;
	String ncrptnSn;
	String dgtlEnvlp;
	String signStr;
	String bizContent;
	public PostMasterEntity(){
		this.charset = "UTF-8";
		this.version="1.0";
		this.format="json";
		String txnTime=new SimpleDateFormat("yyyyMMddHHmmss").format(new Date());//报文发送日期时间
		this.timestamp=txnTime;
		this.signType = "RSA";
		this.signSn="1";
		this.ncrptnSn = "1";
		this.dgtlEnvlp="";
	}
	public String getMerId() {
		return merId;
	}
	public void setMerId(String merId) {
		this.merId = merId;
	}
	public String getTerId() {
		return terId;
	}
	public void setTerId(String terId) {
		this.terId = terId;
	}
	public String getMethod() {
		return method;
	}
	public void setMethod(String method) {
		this.method = method;
	}
	public String getCharset() {
		return charset;
	}
	public void setCharset(String charset) {
		this.charset = charset;
	}
	public String getVersion() {
		return version;
	}
	public void setVersion(String version) {
		this.version = version;
	}
	public String getFormat() {
		return format;
	}
	public void setFormat(String format) {
		this.format = format;
	}
	public String getTimestamp() {
		return timestamp;
	}
	public void setTimestamp(String timestamp) {
		this.timestamp = timestamp;
	}
	public String getSignType() {
		return signType;
	}
	public void setSignType(String signType) {
		this.signType = signType;
	}
	public String getSignSn() {
		return signSn;
	}
	public void setSignSn(String signSn) {
		this.signSn = signSn;
	}
	public String getNcrptnSn() {
		return ncrptnSn;
	}
	public void setNcrptnSn(String ncrptnSn) {
		this.ncrptnSn = ncrptnSn;
	}
	public String getDgtlEnvlp() {
		return dgtlEnvlp;
	}
	public void setDgtlEnvlp(String dgtlEnvlp) {
		this.dgtlEnvlp = dgtlEnvlp;
	}
	public String getSignStr() {
		return signStr;
	}
	public void setSignStr(String signStr) {
		this.signStr = signStr;
	}
	public String getBizContent() {
		return bizContent;
	}
	public void setBizContent(String bizContent) {
		this.bizContent = bizContent;
	}
	
	@Override
	public String toString() {
		return "PostMasterEntity [merId=" + merId + ", terId=" + terId + ", method=" + method + ", charset=" + charset
				+ ", version=" + version + ", format=" + format + ", timestamp=" + timestamp + ", signType=" + signType
				+ ", signSn=" + signSn + ", ncrptnSn=" + ncrptnSn + ", dgtlEnvlp=" + dgtlEnvlp + ", signStr=" + signStr
				+ ", bizContent=" + bizContent + "]";
	}
	
	public String getParmFormat(){
		return "merId=" + merId + "&terId=" + terId + "&method=" + method + "&charset=" + charset
				+ "&version=" + version + "&format=" + format + "&timestamp=" + timestamp + "&signType=" + signType
				+ "&signSn=" + signSn + "&ncrptnSn=" + ncrptnSn + "&dgtlEnvlp=" + dgtlEnvlp + "&signStr=" + signStr
				+ "&bizContent=" + bizContent;
	}
	

}